import { PamirsDepartment, RuntimeRelationField } from '@oinone/kunlun-engine';
import { SelectFieldWidget } from '../../../../basic';
export declare abstract class AbstractFormDepartmentFieldWidget<Option extends PamirsDepartment = PamirsDepartment, Value extends PamirsDepartment | PamirsDepartment[] = PamirsDepartment | PamirsDepartment[], Field extends RuntimeRelationField = RuntimeRelationField> extends SelectFieldWidget<Option, Value, Field> {
    initialize(props: any): this;
    protected get departmentModel(): any;
    protected get companyModel(): any;
    protected get departmentCodes(): string[] | undefined;
    protected get userCompanyDept(): boolean | undefined;
    protected get userDept(): boolean | undefined;
    protected get userDeptAndChildren(): boolean | undefined;
    protected generatorSelectItemKey(value: PamirsDepartment): string;
}
